---
search:
  tags:
    - Wallets
    - POST
seo:
  description: >-
    Idempotent per contact + program: if a wallet already exists for this
    contact and program, the… Reference for the POST /wallets endpoint in the
    Bolder API v2.
sidebar:
  label: Create (or find) a wallet for a contact
  badge: POST
title: Create (or find) a wallet for a contact
type: openapi-operation
---
Idempotent per contact + program: if a wallet already exists for this contact and program, the existing wallet is returned rather than a duplicate created.

`POST /wallets`

**Request body** (`application/json`, required)

- `contact_id` (integer, required)
- `program_id` (integer) — Defaults to the seller's active program of the given \`type\`.
- `type` (string)

Request body example:

```json
{
  "contact_id": 3001
}
```

**Responses**

- `201` — Wallet created (or found)

Response example, 201:

```json
{
  "_links": {
    "property1": {
      "href": "string",
      "templated": true,
      "method": "get",
      "title": "string",
      "type": "string"
    },
    "property2": {
      "href": "string",
      "templated": true,
      "method": "get",
      "title": "string",
      "type": "string"
    }
  },
  "id": 0,
  "type": "points",
  "name": "string",
  "state": "active",
  "balance": 0,
  "contact_id": 0,
  "program_id": 0,
  "consented": true,
  "limit_amount": 0,
  "overdue_limit_amount": 0,
  "loan_term": "string",
  "created_on": "2019-08-24T14:15:22Z",
  "updated_on": "2019-08-24T14:15:22Z"
}
```
